import { JSONSerializer } from './ser.js'
import { deserialize } from 'serde/de'
import { JSONDeserializer } from './de.js'
import { serialize } from 'serde/ser'

export function toString(value: any): string {
  const serializer = new JSONSerializer()
  return serialize(serializer, value)
}

export function fromString<T>(value: string, into: any): T {
  const deserializer = JSONDeserializer.fromString(value)
  return deserialize(deserializer, into)
}

